@ECHO OFF
REM ***************************************************
REM *               ExtractWks.BAT                    *
REM *  Extracts the names of bad workstations files   *
REM *             (c) Vern Graner SSE                 *
REM ***************************************************
REM * Batch extracts the names of the workstation     *
REM * inventory files that are noted as being corrupt *
REM * and then creates a batch file that will delete  *
REM * the corrupted files.                            *
REM *                                                 *
REM * NOTE: should be run in the same folder where the*
REM * STQI.WRN file is located and the resulting batch*
REM * file should then be run the the OCMPUTERS folder*
REM * to remove the bad files                         *
REM ***************************************************
REM * Created 05/30/13 1.0a - VLG                     *
REM ***************************************************

REM **********************************
REM * Environment Setup              *
REM **********************************
   REM Set script version
     SET ScriptVersion=1.0a

   REM Set varibales to NOT exist when script finishes
   REM and enable delayed variable expansion
     SetLocal EnableDelayedExpansion

   REM Set color to white text on black background
     COLOR 0F
     CLS

REM **********************************
REM * Script Variables               *
REM **********************************
   Set LogFile=STQI.WRN
   SET BatName=RemoveBadQIrecords.bat
   SET ComputersPath=\\integrity-2k\stlog$\computers

REM **********************************
REM * Turn DEBUG on/off              *
REM *****************************************************************************
rem * The >nul 2>&1 redirects output and error output to nul to make clean runs *
rem * NOTE: The reserved characters are delimted with a "^" symbol to make them *
rem * compatible with the "set" command, so ">nul 2>&1" becomes "^>nul 2^>^&1"  *
rem * un-REM "SET DEBUG=" to have errors/output of commands dispayed            *
REM *****************************************************************************
   SET DEBUG=^>nul 2^>^&1
  rem SET DEBUG=

REM **********************************
REM * Create head of batch file      *
REM **********************************
   ECHO @ECHO OFF >%BatName%
   ECHO CLS >>%BatName%
   ECHO ECHO. >>%BatName%

REM **********************************
REM * Echo data to screen            *
REM **********************************
   CLS
   ECHO Extracting computer names:
   ECHO ---------------------------------------------

REM **********************************
REM * Extract the names and build bat*
REM **********************************
   FOR /F "tokens=2 delims=[]" %%j in (stqi.wrn) do (
     ECHO Adding file %%j to batch
     ECHO ECHO Deleting file %%j >>%BatName%
     ECHO DEL /q %ComputersPath%\%%j >>%BatName%
rem     ECHO DEL /q %ComputersPath%\%%j.app >>%BatName%
     ECHO DEL /q %ComputersPath%\%%j.inb >>%BatName%
     ECHO DEL /q %ComputersPath%\%%j.wrk >>%BatName%
     ECHO ECHO. >>%BatName%
   )

REM **********************************
REM * Do the footer                  *
REM **********************************

   ECHO ECHO. >>%BatName%
   ECHO ECHO DONE! >>%BatName%

   ECHO ---------------------------------------------
   ECHO Batch file creation "%BatName%" complete!
   ECHO.

  ECHO Press CTRL-C to stop NOW without running the delete file or
  PAUSE

REM **********************************
REM * call the bat to del files      *
REM **********************************
  CALL %BatName%
  DEL /Q /F %BatName%

  ECHO Corrupt Inventory files removed.
  ECHO.
PAUSE


