@ECHO OFF
REM **********************************************
REM *          Gather Stats batch file           *
REM *   Vern Graner SSE, Integrity Software Inc. *
REM **********************************************
REM * Generate report.csv for use in ACCESS      *
REM * database and then remove unwanted records  *
REM **********************************************
REM * Created 08/01/12 - VLG                     *
REM **********************************************

REM **********************************
REM * Environment Setup              *
REM **********************************
   REM Set varibales to NOT exist when script finishes
   REM and enable delayed variable expansion
     SetLocal EnableDelayedExpansion
   REM Set color to white text on black background
     COLOR 0F
     CLS
   SET DEBUG=^>nul 2^>^&1


REM **********************************
REM * Edit this section before run!  *\
REM *************************************************************

   SET  DateStart=07/01/13
   SET    DateEnd=12/31/13
   SET ServerName=INTEGRITY-2K
   SET ToolPath=\\integrity-xp3\C$\Documents and Settings\vgraner\Desktop\softrack_full\tools\nt-2k

REM *************************************************************
REM * End EDIT section               */
REM **********************************



REM **********************************
REM * Create the first-pass report   *
REM * from the raw SofTrack data     *
REM **********************************
   ECHO.
   ECHO Generating report on server "%ServerName%" from %DateStart% to %DateEnd%..
   "%ToolPath%\ST2K_RPT.EXE" -n%ServerName% -freport.csv -sn -ds%DateStart% -de%DateEnd% -ol -td -uc -z -ma
   ECHO.

REM **********************************
REM * Remove records that contain    *
REM * "CALC"                         *
REM **********************************
   ECHO Removing records that contain "CALC"..
   TYPE report.csv | find /v /i "CALC" >"%tmp%\report.tmp"
   COPY /B /V /Y "%tmp%\report.tmp" report.csv %DEBUG%
   DEL /Q "%tmp%\report.tmp"


REM **********************************
REM * Remove records that contain    *
REM * "ERROR"                        *
REM **********************************
   ECHO Removing records that contain "ERROR"..
   TYPE report.csv | find /v /i "ERROR" > "%tmp%\report.tmp"
   COPY /B /V /Y "%tmp%\report.tmp" report.csv %DEBUG%
   DEL /Q "%tmp%\report.tmp"


REM **********************************
REM * Remove records that contain    *
REM * "**"                           *
REM **********************************
   ECHO Removing records that contain "**"..
   TYPE report.csv | find /v /i "**" > "%tmp%\report.tmp"
   COPY /B /V /Y "%tmp%\report.tmp" report.csv %DEBUG%
   DEL /Q "%tmp%\report.tmp"

REM **********************************
REM * Done                           *
REM **********************************
   ECHO.
   ECHO Creation of REPORT.CSV complete.
   ECHO.
