@ECHO OFF
REM **********************************************
REM *         Install Report Compiler            *
REM *          (c) Vern Graner SSE               *
REM **********************************************
REM * CSV log file compiler 
REM **********************************************
REM * Created 09/01/2011 - VLG                   *
REM **********************************************

REM **********************************
REM * Turn DEBUG on/off              *
REM *************************************************************************
REM * The >nul 2>&1 redirects output and error output to nul to make clean  *
REM * runs. NOTE: The reserved characters are delimted with a "^" symbol to *
REM * make them compatible with the "set" command, so ">nul 2>&1" becomes   *
REM * "^>nul 2^>^&1" un-REM "SET DEBUG=" to have errors/output of commands  *
REM * dispayed. Only change if instructed to do so by Tech Support          *
REM *************************************************************************
 SET DEBUG=^>nul 2^>^&1
 rem SET DEBUG=

REM **********************************
rem * Idea cache                      *
REM *****************************************
REM * -Add portions of allclean to remove   *
REM *  duplicate header lines               *
REM *****************************************

REM *****************************************
REM * Set the varible "NOW" to a usable date*
REM * format by channging the "forward      *
REM * slash" to "minus" and the "space" to  *
REM * an "underscore"                       *
REM *****************************************
  SET NOW=%DATE:/=-%
  SET NOW=%NOW: =_%

REM *****************************************
REM * Audit Log Cleanup BEGIN               *
REM *****************************************
  CLS
  ECHO.
  ECHO Begining Install Log compilation:

REM *****************************************
REM * Create a list of all files in         *
REM * the directory                         *
REM *****************************************
  ECHO -Compiling list of workstation install logs..
    DIR /b STinstall*.csv>_OnlyInstallLogs.tmp

REM *****************************************
REM * Write header file for log files       *
REM *****************************************
rem   IF NOT EXIST "AllInstallLogs_%NOW%.CSV" (
     ECHO "Time Run","Workstation Name","Script","CFG","Do LWA","Do QIA","Settings","Force Update","Script Result","Errors","Scheduled","STconfig.CMD Path","Log File Path","TCP/IP?","Firewall Ver","Firewall Svc","Rules","LWA","Ver Before","Ver After","Copy Fail(s)","Svc Mode","Svc State","QIA","Ver Before","Ver After","Copy Fail(s)","Svc Mode","Svc State">"AllInstallLogs_%NOW%.CSV"
rem   )

REM ***************************
REM * Concatenate logs into 1 *
REM *******************************************************************
  FOR /F "delims=; eol=#" %%I IN (_OnlyInstallLogs.tmp) DO (
    ECHO -Appending %%I
    TYPE "%%I" | FIND /v "Time Run">>"AllInstallLogs_%NOW%.CSV"
  )

REM *****************************************
REM * Remove temporary file                 *
REM *****************************************
  ECHO -Cleaning up temporary files..
  DEL /Q _OnlyInstallLogs.tmp >nul
  ECHO Cleaning Complete!
  ECHO.
  GOTO EXIT


REM *****************************************
REM * Pause may be remarked out if this     *
REM * script is to run automated            *
REM *****************************************
  :EXIT
  PAUSE
